Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
tuanphuongbh

Bạn nào biết cách chèn lệnh tính tổng chiều dài vào cad không?

Các bài được khuyến nghị

tuanphuongbh    45

Mình có mấy hàm tính tổng chiều dài nhưng không biết cách chèn vào autocad. Bạn nào biết chỉ mình dùm đi. Cảm ơn nhiều!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Nguyen Hoanh    4.524
Mình có mấy hàm tính tổng chiều dài nhưng không biết cách chèn vào autocad. Bạn nào biết chỉ mình dùm đi. Cảm ơn nhiều!

Nói rõ hơn đi bạn!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
tuanphuongbh    45
Nói rõ hơn đi bạn!

Mình muốn chèn lệnh đó vào cad để chọn nhiều line cùng lúc, rồi dùng lệnh tcd là hiện ra tổng chiều dài của tất cả line vừa chọn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
duongsatdn    762
Mình muốn chèn lệnh đó vào cad để chọn nhiều line cùng lúc, rồi dùng lệnh tcd là hiện ra tổng chiều dài của tất cả line vừa chọn.

Bạn xem topic này nhé!

http://www.cadviet.com/forum/index.php?sho...=80&hl=load

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
duongsatdn    762
chỉ cần paste mấy file đó vào thẳng bản vẽ là xong

Nếu bạn thực hiện cho ra kết quả đúng thì ổn. Tuy nhiên cách diễ đạt của bạn nghe khó hiểu!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
minh2453    42

có cái em muốn hỏi.em cũng đã có 1 lisp để tính tổng các DIM.kết quả hiện ra ở thanh status.

em cũng biết lệnh (alert "Hien len thong bao" ) là để hiện lên thông báo dạng của sổ.

Em nghĩ, nếu tích hợp đc 2 cái này thì hay quá.kết quả tổng dim sẽ đc hiện lên dưới dạng window.rất tiện.

em đã thử làmmà ko đc.anh nào giúp em nhé

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
tuanphuongbh    45
có cái em muốn hỏi.em cũng đã có 1 lisp để tính tổng các DIM.kết quả hiện ra ở thanh status.

em cũng biết lệnh (alert "Hien len thong bao" ) là để hiện lên thông báo dạng của sổ.

Em nghĩ, nếu tích hợp đc 2 cái này thì hay quá.kết quả tổng dim sẽ đc hiện lên dưới dạng window.rất tiện.

em đã thử làmmà ko đc.anh nào giúp em nhé

Hình như không có cách đó đâu bạn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Phidoi_gabay    14
Mình có mấy hàm tính tổng chiều dài nhưng không biết cách chèn vào autocad. Bạn nào biết chỉ mình dùm đi. Cảm ơn nhiều!

Đây nè !

(defun add_mline () (foreach e_record_sub e_record (cond ((= 10 (car e_record_sub)) (setq pt1 (cdr e_record_sub) mline_len 0.0 ) ) ((= 11 (car e_record_sub)) (setq pt2 (cdr e_record_sub) mline_len (+ mline_len (distance pt2 pt1)) pt1 pt2 ) ) ) ) (setq tot_len (+ tot_len mline_len)) (ssdel e_name ss));;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

 

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun C:tg (/ tot_len ss e_name e_record e_type) (setq tot_len 0.0) (setq ss (ssget)) (if (null ss) (exit) ) (while (> (sslength ss) 0) (setq e_name (ssname ss 0)) (setq e_record (entget e_name)) (setq e_type (cdr (assoc '0 e_record))) (cond ((wcmatch e_type "LINE,ARC,CIRCLE,POLYLINE,LWPOLYLINE,ELLIPSE,SPLINE") (command "lengthen" e_name "") (setq tot_len (+ tot_len (getvar "PERIMETER"))) (ssdel e_name ss) ) ((wcmatch e_type "MLINE") (add_mline)) (e_type (ssdel e_name ss)) ) ) (prompt (strcat "\nTotal length is: " (rtos tot_len 2 2))) (princ))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Snowman    90
có cái em muốn hỏi.em cũng đã có 1 lisp để tính tổng các DIM.kết quả hiện ra ở thanh status.

em cũng biết lệnh (alert "Hien len thong bao" ) là để hiện lên thông báo dạng của sổ.

Em nghĩ, nếu tích hợp đc 2 cái này thì hay quá.kết quả tổng dim sẽ đc hiện lên dưới dạng window.rất tiện.

em đã thử làmmà ko đc.anh nào giúp em nhé

Đây là cái bạn muốn, tuy nhiên hơi bất tiện nếu bạn muốn copy kết quả, do đó tôi để cả 2 thông báo.

(defun add_mline ()
 (foreach e_record_sub	e_record
   (cond ((= 10 (car e_record_sub))
   (setq pt1	   (cdr e_record_sub)
	 mline_len 0.0
   )
  )
  ((= 11 (car e_record_sub))
   (setq pt2	   (cdr e_record_sub)
	 mline_len (+ mline_len (distance pt2 pt1))
	 pt1	   pt2
   )
  )
   )
 )
 (setq tot_len (+ tot_len mline_len))
 (ssdel e_name ss)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun C:tg (/ tot_len ss e_name e_record e_type)
 (setq tot_len 0.0)
 (setq ss (ssget))
 (if (null ss)
   (exit)
 )
 (while (> (sslength ss) 0)
   (setq e_name (ssname ss 0))
   (setq e_record (entget e_name))
   (setq e_type (cdr (assoc '0 e_record)))
   (cond ((wcmatch e_type
	    "LINE,ARC,CIRCLE,POLYLINE,LWPOLYLINE,ELLIPSE,SPLINE"
   )
   (command "lengthen" e_name "")
   (setq tot_len (+ tot_len (getvar "PERIMETER")))
   (ssdel e_name ss)
  )
  ((wcmatch e_type "MLINE") (add_mline))
  (e_type (ssdel e_name ss))
   )
 )
 (setq tbao (strcat "\nTotal length is: " (rtos tot_len 2 2)))
 (alert tbao)
 (prompt tbao)
 (princ)

)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×